For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Gets analytics data based on the specified resource, metrics, and given filters for team, internal, and public workspaces, as well as Partner Workspaces.
**Note:**
This endpoint only accepts the following resource:metric query parameter combinations:
- `user` — `workspace_active_users`, `active_users`
- `workspace` — `elements_in_workspace`, `active_workspaces`, `api_calls`, `active_collections`, `response_status`, `pending_invites`, `needs_attention`, `success_rate`, `user_requests`, `collection_error_aggregate`
- `team` — `user_api_journey`, `workspace_distribution`, `internal_workspace_distribution`, `license_consumption`, `members`, `last_autoflex_cycle`, `partner_engagement_funnel`
- `ai` — `top_agent_models_by_usage`, `activity_distribution`, `peak_activity`, `usage_leaderboard`, `credit_usage_by_model`, `messages_sent`, `credit_usage`, `agent_mode_sessions`, `new_vs_returning_users`, `agent_mode_users`
- `api_development` — `active_workspaces`, `entity_activity`, `top_entities`
- `api_testing` — `runs`, `functional_test_runs`, `performance_test_runs`
- `api_production` — `monitor_runs`, `flow_executions`
- `api_distribution` — `active_workspaces`, `pvt_network`, `partner`, `public`
- `api_management` — `workspace_activity`
The `view` query parameter only accepts the following values when called with the following resource:metric pairs:
`detailed` or `summary` — `user:active_users`, `workspace:active_workspaces`, `workspace:pending_invites`, `workspace:needs_attention`, `workspace:success_rate`, `team:partner_engagement_funnel`, `api_distribution:pvt_network`, `api_distribution:partner`, `api_distribution:public`
- `detailed`, `summary`, or `trends` — `api_development:entity_activity`, `api_testing:functional_test_runs` , `api_testing:performance_test_runs`, `api_production:monitor_runs`, `api_production:flow_executions`
- `summary` or `trend` — `api_development:active_workspaces`, `api_testing:runs`, `api_distribution:active_workspaces`, `api_management:workspace_activity`
- `summary` only — `workspace:elements_in_workspace`, `workspace:workspace_active_users`, `workspace:api_calls`, `workspace:response_status`, `team:user_api_journey`, `team:workspace_distribution`, `team:internal_workspace_distribution`, `team:license_consumption`
- `detailed` only — `workspace:active_collections`, `workspace:user_requests`, `api_development:top_entities`, `api_management:popular_workspaces`
- `trends` only — No resource:metric pair restrictions.
Authentication
x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Query parameters
resourceenumRequired
Returns metrics and insights for API usage, success, and workspace/team trends in Postman:
- `user` — Data related to individual user activities and engagement within Postman workspaces.
- `team` — Team-level analytics, license consumption, and organizational trends.
- `workspace` — Workspace-level activities, elements, and collaboration patterns.
- `ai` — Analytics related to Agent Mode usage across workspaces, covering user activity, model usage, and credit consumption patterns.
- `api_development` — API development activity metrics that include workspace counts, entity activity by type (collection, flow, mock, specification, sdk), and top entities.
- `api_testing` — API testing metrics such as total test runs, functional test runs (Collection Runner), and performance test runs.
- `api_production` — API production metrics, including monitor run activity and production flow execution activity.
- `api_distribution` — API distribution metrics, such as active workspace counts across distribution channels.
- `api_management` — API management metrics, such as workspace activity, active counts, trends, and top workspaces.
metricsenumRequired
Filters the response by only the given metrics. The metric must match the given resource value.
For a list of metrics and their related resource value, call the GET /analytics-metadata endpoint.
viewenumOptional
The view type for the analytics data:
- `detailed` — Return extensive information.
- `summary` — Return aggregated information.
- `trend` — Return trend information over a duration.
Allowed values:
workspaceTypestringOptional
A comma-separated list of internal, public, and partner workspace types to filter the results by.
userIdstringOptional
A comma-separated list of user IDs to filter the results by. Only pass this parameter when calling the user_requests metric for the workspace resource.
durationenumOptional
Filters the response by the given duration.
requestIdstringOptional
A comma-separated list of unique request IDs (userId-requestId) to filter the response by. Only pass this parameter when using the user_requests metric.
responseStatusstringOptional
A comma-separated list of HTTP response status codes to filter the results by. Accepts values 100 through 600. Only pass this parameter when using the user_requests metric.
attentionTypestringOptional
A comma-separated list of issues types to filter the results by. Attention types provide details about issues users or partners are facing. Accepts the high_non_200OK_rate_for_partner and no_success_on_tried_request values. Only pass this parameter when using the needs_attention metric.
periodstringOptional
Filters results for a given period of time (as opposed to a range) for supported views. Use a YEAR-MONTH value for month filtering or YEAR-MONTH-DAY day filtering.
userTypeenumOptional
Filters results by a specific user type for supported views.
Allowed values:
entityTypeenumOptional
The type of Postman entity to filter results by.
limitintegerOptional1-10000Defaults to 100
The maximum number of rows to return in the response.
offsetintegerOptional0-10000Defaults to 0
The zero-based offset of the first item to return.
Response
Successful Response
dataobject
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error
Gets analytics data based on the specified resource, metrics, and given filters for team, internal, and public workspaces, as well as Partner Workspaces.
Note:
This endpoint only accepts the following resource:metric query parameter combinations:
api_distribution — active_workspaces, pvt_network, partner, public
api_management — workspace_activity
The view query parameter only accepts the following values when called with the following resource:metric pairs:
detailed or summary — user:active_users, workspace:active_workspaces, workspace:pending_invites, workspace:needs_attention, workspace:success_rate, team:partner_engagement_funnel, api_distribution:pvt_network, api_distribution:partner, api_distribution:public
Returns metrics and insights for API usage, success, and workspace/team trends in Postman:
user — Data related to individual user activities and engagement within Postman workspaces.
team — Team-level analytics, license consumption, and organizational trends.
workspace — Workspace-level activities, elements, and collaboration patterns.
ai — Analytics related to Agent Mode usage across workspaces, covering user activity, model usage, and credit consumption patterns.
api_development — API development activity metrics that include workspace counts, entity activity by type (collection, flow, mock, specification, sdk), and top entities.
api_testing — API testing metrics such as total test runs, functional test runs (Collection Runner), and performance test runs.
api_production — API production metrics, including monitor run activity and production flow execution activity.
api_distribution — API distribution metrics, such as active workspace counts across distribution channels.
api_management — API management metrics, such as workspace activity, active counts, trends, and top workspaces.